<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2022 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<androidx.constraintlayout.widget.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
    <ScrollView
            android:id="@+id/consent_notification_decline_confirmation_view"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:scrollbars="vertical"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toTopOf="@id/nav_buttons"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">
        <LinearLayout
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_gravity="center_horizontal"
                style="@style/NotificationContainer">
            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/adservices_content_horizontal_two_thirds_padding"
                    android:layout_marginEnd="@dimen/adservices_content_horizontal_two_thirds_padding"
                    android:orientation="vertical">

                <TextView
                        android:layout_marginTop="60dp"
                        android:text="@string/notificationUI_confirmation_decline_title"
                        style="@style/MainStyle.H1" />

                <TextView
                        android:text="@string/notificationUI_confirmation_decline_subtitle"
                        style="@style/MainStyle.H6" />
                <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/adservices_content_two_thirds_padding"
                        android:src="@drawable/ic_confirmation_decline_image" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/nav_buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" >
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/adservices_divider_height"
            android:background="@color/divider_color"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
        <androidx.constraintlayout.widget.ConstraintLayout
            style="@style/NotificationButtonContainer"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">
            <Button
                android:id="@+id/leftControlButtonConfirmation"
                style="@style/MainStyle.PrimaryButtonVariant"
                android:text="@string/notificationUI_confirmation_left_control_button_text"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
            <Button
                android:id="@+id/rightControlButtonConfirmation"
                style="@style/MainStyle.PrimaryButton"
                android:text="@string/notificationUI_confirmation_right_control_button_text"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
